C     Last change:  UU   16 Jan 2003    3:49 pm
***   This program calculates number of exceedances across 200 years of data
***   using eight 25 year TOXST output files 

      CHARACTER*12 FIN(8),OUT(1)
      CHARACTER*5 DUM   

***   FIN(#) is the name of one of the six TOXST *.TST files ***
***   OUT is the user-defined name for the Fortran Output file ***
***   DUM is used as temporary storage for data ***
               
      DIMENSION TT(72,10),XX(72,10),YY(72,10),TT2(72,10),TT3(72,10),
     x      TT4(72,10),TT5(72,10),TT6(72,10)

***   TT is needed as for the 6 exceedances per concentration threshold ***  
***   XX and YY are the coordinates of the receptors ***
    
      DATA FIN/'random.tst','rand2.tst','rand3.tst','rand4.TST',
     X      'rand5.tst','rand6.tst','rand7.tst','rand8.TST'/

      DATA OUT/'buff.tst'/
           
***   This loop opens and processes the four hourly-averaged TOXST ***
***   output *.TST files***

      OPEN(6,FILE=OUT(1),STATUS='UNKNOWN')
        
***   This loop opens each of eight 25 year files for a total of 200 years ***
***   of data to come up with a total number of exceedances ***
       
        DO Z=1,8    

          OPEN(5,FILE=FIN(Z),STATUS='OLD')
        
          DO NL=1,100000000
            READ(5,'(T6,A5)') DUM
            IF(DUM .EQ. "Rec #") THEN
              DO NLL=1,2
                READ(5,'(T6,A5)') DUM
              END DO
              GO TO 10
            END IF
          END DO  
          
***   Loop for 72 radials ***          

   10     DO ND=1,72

***   Loop for 10 ring distances ***
        
            DO NR=1,10

              READ(5,'(T14,F10.2,T28,F10.2,T58,6F10.2)') X,Y,T1,T2,T3,
     x                T4,T5,T6

              XX(ND,NR)=X
              YY(ND,NR)=Y

              IF (Z.EQ.1) THEN

                TT(ND,NR)=T1
                TT2(ND,NR)=T2
                TT3(ND,NR)=T3
                TT4(ND,NR)=T4
                TT5(ND,NR)=T5
                TT6(ND,NR)=T6

              ELSE

               TT(ND,NR)=TT(ND,NR)+T1
               TT2(ND,NR)=TT2(ND,NR)+T2
               TT3(ND,NR)=TT3(ND,NR)+T3
               TT4(ND,NR)=TT4(ND,NR)+T4
               TT5(ND,NR)=TT5(ND,NR)+T5
               TT6(ND,NR)=TT6(ND,NR)+T6

              END IF

            END DO
          
          END DO   

        END DO

***   Write out New Test File for 200 Years ***        

***   Loop for 72 radials ***          

        DO ND=1,72

***   Loop for 10 ring distances ***
        
          DO NR=1,10

            TT(ND,NR)=TT(ND,NR)/8
            TT2(ND,NR)=TT2(ND,NR)/8
            TT3(ND,NR)=TT3(ND,NR)/8
            TT4(ND,NR)=TT4(ND,NR)/8
            TT5(ND,NR)=TT5(ND,NR)/8
            TT6(ND,NR)=TT6(ND,NR)/8

            WRITE(6,'(T14,F10.2,T28,F10.2,T58,6F10.2)') XX(ND,NR),
     X       YY(ND,NR),TT(ND,NR),TT2(ND,NR),TT3(ND,NR),TT4(ND,NR),
     X      TT5(ND,NR),TT6(ND,NR)

            TT(ND,NR)=0
            TT2(ND,NR)=0
            TT3(ND,NR)=0
            TT4(ND,NR)=0
            TT5(ND,NR)=0
            TT6(ND,NR)=0

          END DO

        END DO

      STOP
      END