C     Last change:  T     8 Jul 2004   12:12 pm
C    This program calculates buffer zones using
C    the input of the TOXST output file and user input

      CHARACTER*20 FIN(2),DUM
      CHARACTER*75 CHEMICAL
      DIMENSION DRING(10),TT(6,10),Threshold(6)
      REAL MBUFR(6),Exceed,Diff,BUFR,Exc, TT, A, B, C, lny, xlny
      INTEGER DRING,Hour,IAcre,Threshold,Em,Ws,Wd,Is,Indoor,N,Sim, Z
      INTEGER IX,IY
      DATA FIN/'buff.TST','buff.out'/

      OPEN(1,FILE='DATA.DAT',STATUS='OLD')
      OPEN(2,FILE=FIN(2),STATUS='UNKNOWN')

      READ(1,'(A36)') DUM
      READ(1,'(A36)') DUM
      READ(1,'(I4)') Em
      READ(1,'(I4)') Ws
      READ(1,'(I4)') Wd
      READ(1,'(I4)') Is
      READ(1,'(I4)') Indoor
      READ(1,'(F4.2)') Exceed
      DO Z=1,10
        READ(1,'(I5)') DRING(Z)
      END DO
      READ(1,'(A75)') Chemical
      READ(1,'(I5)') Iacre
      READ(1,'(I5)') Hour
      READ(1,'(I5)') N
      DO Y=1,N
        READ(1,'(I5)') Threshold(Y)
      END DO
      READ(1,'(I7)') Sim
      READ(1,'(I5)') IX
      READ(1,'(I5)') IY

      IX=0.5*IX
      IY=0.5*IY

***   Set Buffer Zones to Zero

      MBUFR=0.
      BUFR=0.
      T1=0.
      T2=0.
      T3=0.
      T4=0.
      T5=0.
      T6=0.

***   Open input file: 1-Hour Averaged TOXST Output file

      OPEN(5,FILE=FIN(1),STATUS='OLD')

***   Perform secondary loop for all 72 radials

      DO ND=1,72

***   Perform loop for first 10 rings of data and put in memory for
***   subsequent retrieval
        
        DO NR=1,10

          READ(5,'(T58,6F10.2)') T1,T2,T3,T4,T5,T6

          TT(6,NR)=T6
          TT(5,NR)=T6+T5
          TT(4,NR)=T6+T5+T4
          TT(3,NR)=T6+T5+T4+T3
          TT(2,NR)=T6+T5+T4+T3+T2
          TT(1,NR)=T6+T5+T4+T3+T2+T1

        END DO

***   Tertiary loop for 10 rings
        
        DO NR=1,10

***   Quarternary loop for N concentration thresholds

          DO NT=1,6

***   If Location (Threshold, Ring) for particular radial has a value greater than
***   or equal to the exceedance value, proceed

            IF (TT(NT,NR).GT.Exceed) THEN

***   If the last ring is not used, proceed
            
              IF (NR.LT.10) THEN

***   If the Location (Threshold, Neighboring Outer Ring) has a value less than
***   the exceedance value, proceed
                
                IF (TT(NT,NR+1).LE.Exceed) THEN

***   Interpolates location of exceedance point

                  IF (TT(NT,NR+1).EQ.Exceed) THEN

                     BUFR=DRING(NR+1)

                  ELSE

***   Calculate Statistical Equations to Interpolate Proper Distance to Endpoint ***

                    u=TT(NT,NR)
                    v=TT(NT,NR+1)
                    s=DRING(NR)
                    t=DRING(NR+1)

***   Natural Log Fit ***

                    a=(v-u)/(LOG(t)-LOG(s))
                    b=u-(a*LOG(s))
                    BUFR=2.71828**((Exceed-b)/a)

                  END IF

                END IF
                                      
***   If the last ring is being analyzed, extrapolate buffer zone. ***
***   If buffer zone distance is greater tban the distance to the last ring ***
***   plus the difference between the last two rings then set buffer zone to 9999 ***
***   can not reliably extrapolate buffer zone distance further out than 2t-s distance from ***
***   center of field.  ***

              ELSE

                u=TT(NT,NR-1)
                v=TT(NT,NR)
                s=DRING(NR-1)
                t=DRING(NR)

                a=(v-u)/(LOG(t)-LOG(s))
                b=u-(a*LOG(s))
                BUFR=2.71828**((Exceed-b)/a)
                c=2*t-s

                IF (BUFR.GT.C) THEN
                  BUFR=9999
                END IF

              END IF

***   If first ring has exceedances less than Exceed then Buffer=0

            ELSE

              BUFR=0

            END IF

***   Set Angle to value of ND*5-5 to compensate for first angle being equal to zero not one
              
            IF (BUFR.GT.0.AND.BUFR.NE.9999) THEN
                   
              Angle=(ND*5)-5

***   Proceed through analyzing cosine and sine of angle to determine accurate buffer zones in
***   relation to field sized 100 by 800 meters.
             
              IF (Angle.EQ.0.OR.Angle.EQ.180) THEN
               
                BUFR=BUFR-IY
                                 
              ELSE IF (Angle.EQ.90.OR.Angle.EQ.270) THEN
               
                BUFR=BUFR-IX
               
              ELSE IF (Angle.LT.90.AND.Angle.GT.0) THEN
               
                Y=BUFR*COS(3.14159*Angle/180)
                X=BUFR*SIN(3.14159*Angle/180)

                IF (Y.LE.IY) THEN
                  IF (X.LE.IX) THEN
                    BUFR=0
                  ELSE
                    BUFR=X-IX
                  END IF
                ELSE
                  IF (X.LE.IX) THEN
                    BUFR=Y-IY
                  ELSE
                    X=X-IX
                    Y=Y-IY
                    BUFR=SQRT((X*X)+(Y*Y))
                  END IF
                END IF
           
              ELSE IF (Angle.GT.90.AND.Angle.LT.180) THEN
          
                X=BUFR*COS(3.14159*(Angle-90)/180)
                Y=-BUFR*SIN(3.14159*(Angle-90)/180)

                IF (Y.GE.-IY) THEN
                  IF (X.LE.IX) THEN
                    BUFR=0
                  ELSE
                    BUFR=X-IX
                  END IF
                ELSE
                  IF (X.LE.IX) THEN
                    BUFR=Y+IY
                  ELSE
                    X=X-IX
                    Y=Y+IY
                    BUFR=SQRT((X*X)+(Y*Y))
                  END IF
                END IF

              ELSE IF (Angle.GT.180.AND.Angle.LT.270) THEN
                
                Y=-BUFR*COS(3.14159*(Angle-180)/180)
                X=-BUFR*SIN(3.14159*(Angle-180)/180)

                IF (Y.GE.-IY) THEN
                  IF (X.GE.-IX) THEN
                    BUFR=0
                  ELSE
                    BUFR=X+IX
                  END IF
                ELSE
                  IF (X.GE.-IX) THEN
                    BUFR=Y+IY
                  ELSE
                    X=X+IX
                    Y=Y+IY
                    BUFR=SQRT((X*X)+(Y*Y))
                  END IF
                END IF
              ELSE IF (Angle.GT.270.AND.Angle.LT.360) THEN
          
                X=-BUFR*COS(3.14159*(Angle-270)/180)
                Y=BUFR*SIN(3.14159*(Angle-270)/180)

                IF (Y.LE.IY) THEN
                  IF (X.GE.-IX) THEN
                    BUFR=0
                  ELSE
                    BUFR=X+IX
                  END IF
                ELSE
                  IF (X.GE.IX) THEN
                    BUFR=Y-IY
                  ELSE
                    X=X+IX
                    Y=Y-IY
                    BUFR=SQRT((X*X)+(Y*Y))
                  END IF
                END IF
           
              END IF

            END IF

            IF (BUFR.GT.MBUFR(NT)) THEN

              IF (BUFR.EQ.9999) THEN
                 MBUFR(NT)=BUFR
              ELSE
                 MBUFR(NT)=10*NINT(BUFR*0.1)
              END IF

            END IF

            BUFR=0

          END DO
           
        END DO
                      
      END DO
             
   20 WRITE(2,'(A75)') Chemical
      WRITE(2,'(A12,I7,A12,A11)') '200-Year and',Sim,' Simulations',
     x            ' Randomized'
      WRITE(2,'(A38)') 'Monte Carlo Exposures Assessment Using'
      WRITE(2,*) ' '
      IF(Em.EQ.1) THEN
        WRITE(2,'(A25)') 'Randomized Emission Rates'
      ELSE
        WRITE(2,'(A29)') 'Non-Randomized Emission Rates'
      END IF
      IF (Ws.EQ.1) THEN
        WRITE(2,'(A22)') 'Randomized Wind Speeds'
      ELSE
        WRITE(2,'(A26)') 'Non-Randomized Wind Speeds'
      END IF
      IF (Wd.EQ.1) THEN
        WRITE(2,'(A25)') 'Randomized Wind Direction'
      ELSE
        WRITE(2,'(A29)') 'Non-Randomized Wind Direction'
      END IF
      IF (Is.EQ.1) THEN
        WRITE(2,'(A20)') 'Randomized Stability'
      ELSE
        WRITE(2,'(A24)') 'Non-Randomized Stability'
      END IF

      IF (Indoor.EQ.1) THEN
        WRITE(2,'(A16)') 'Indoor Exposures'
      ELSE IF (Indoor.EQ.2) THEN
        WRITE(2,'(A18)') 'Personal Exposures'
      ELSE IF (Indoor.EQ.3) THEN
        OPEN(8,FILE='IND.TXT',STATUS='OLD')
        READ(8,'(I5)') Z
        IF (Z.EQ.1) THEN
          WRITE(2,'(A16)') 'Indoor Exposures'
        ELSE IF (Z.EQ.2) THEN
          WRITE(2,'(A18)') 'Personal Exposures'
        ELSE
          WRITE(2,'(A17)') '                 '
        END IF
      END IF
      WRITE(2,*) ' '
      WRITE(2,'(A42)') 'Acres Modeled  Averaging Time  Exceedances'
      WRITE(2,'(A42)') '-------------  --------------  -----------'
      WRITE(2,'(I5,A6,I8,A6,T36,F4.2)') Iacre, ' Acres', Hour, ' Hours'
     x              , Exceed
      WRITE(2,'(A30)') ' '
      WRITE(2,'(A43)') 'Using a Polar Receptor Grid Centered at the'
      WRITE(2,'(A42)') 'Center of the Field with Ring Distances of'
      WRITE(2,*) ' '
      DO Z=1,10
        WRITE(2,'(I5,A7)') DRING(Z),' Meters'
      END DO
      WRITE(2,*) ' '
      WRITE(2,'(A37)') 'Distance(s) (meters) to Concentration'
      WRITE(2,'(A35)') 'Thresholds (micrograms/cubic meter)'
      WRITE(2,'(A19)') 'Threshold  Distance'
      WRITE(2,'(A19)') '---------  --------'

      DO M=1,N
        WRITE(2,'(I5,T10,F8.0)') Threshold(M),MBUFR(M)
      END DO

      STOP
      END