C     Last change:  T    28 Jul 2004   10:14 am
C     This program runs the Monte Carlo Based Exposure Assessment

      CHARACTER*75 DUM,DUM2,TITLE
      CHARACTER*20 CUBICFILE,ASK
      CHARACTER*12 YEAR,BASE,MHTB,MHTR1,MHTR2,MHTR3,MHTR4,SFCB
      CHARACTER*12 SFCR1,SFCR2,SFCR3,SFCR4
      DIMENSION YEAR(5),BASE(5),MHTB(5),SFCB(5),THRESHOLD(6),RING(10)
      DIMENSION MHTR1(5),MHTR2(5),MHTR3(5),MHTR4(5),SFCR1(5),SFCR2(5)
      DIMENSION SFCR3(5),SFCR4(5)
      INTEGER Sim,Em,Wd,Ws,Is,Indoor,Zero,IX,IY,IXX,IYY,A,DUMI,V
      INTEGER N,Time,Days,Iacre,Dist,F,Ring,Threshold,Ap,TT,Per
      REAL Prob,Exceed,App,Acres

***   List of Meteorological Surface and Upper Air Files ***

      DATA MHTB/'MHT1','MHT2','MHT3','MHT4','MHT5'/
      DATA MHTR1/'1MHT1','1MHT2','1MHT3','1MHT4','1MHT5'/
      DATA SFCB/'SFC1.ORG','SFC2.ORG','SFC3.ORG','SFC4.ORG',
     X          'SFC5.ORG'/
      DATA SFCR1/'1SFC1.ORG','1SFC2.ORG','1SFC3.ORG','1SFC4.ORG',
     X          '1SFC5.ORG'/

***   Base ISCST3 Input Files ***

      BASE(1)='YEAR1.BAS'
      BASE(2)='YEAR2.BAS'
      BASE(3)='YEAR3.BAS'
      BASE(4)='YEAR4.BAS'
      BASE(5)='YEAR5.BAS'

      YEAR(1)='YEAR1A.DAT'
      YEAR(2)='YEAR2A.DAT'
      YEAR(3)='YEAR3A.DAT'
      YEAR(4)='YEAR4A.DAT'
      YEAR(5)='YEAR5A.DAT'

C     Introduction to Program

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*) 'WELCOME TO THE FUMIGANT EMISSIONS MODELING SYSTEM'
      WRITE(*,*) ' '
      WRITE(*,*) ' '
      WRITE(*,*) 'FFFFFFFFF    EEEEEEEEEE   M    M    M     SSSS'
      WRITE(*,*) 'F            E            MM  M M  MM    S '
      WRITE(*,*) 'F            E            M MM   MM M   S  '
      WRITE(*,*) 'F            E            M  M   M  M   S'
      WRITE(*,*) 'FFFFFFFF     EEEEEEEEE    M         M    SSSSS'
      WRITE(*,*) 'F            E            M         M         S'
      WRITE(*,*) 'F            E            M         M         S'
      WRITE(*,*) 'F            E            M         M        S'
      WRITE(*,*) 'F            EEEEEEEEEE   M         M   SSSS'
      WRITE(*,*) ' '
      WRITE(*,*) ' '
      WRITE(*,*) 'USING MONTE CARLO EXPOSURE ASSESSMENT TECHNIQUES'
      WRITE(*,*) ' '
      WRITE(*,*) 'THIS PROGRAM WAS DEVELOPED BY'
      WRITE(*,*) 'SULLIVAN ENVIRONMENTAL CONSULTING, INC.'
      WRITE(*,*) 'ALEXANDRIA, VA'
      WRITE(*,*) ' '
      WRITE(*,*) 'PRESS ENTER TO CONTINUE'
      READ(*,'(A4)') DUM
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
*      WRITE(*,*) 'PLEASE ANSWER THE FOLLOWING SERIES OF QUESTIONS'
*      WRITE(*,*) 'WHICH WILL HELP IDENTIFY THE NECESSARY INPUTS'
*      WRITE(*,*) 'TO RUN FEMS. THIS PROGRAM IS DESIGNED TO'
*      WRITE(*,*) 'ACCEPT INPUTTED PARAMETER SPECIFIC DATA IN THE PROPER'
*      WRITE(*,*) 'FORMAT.'
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*) ' '
      WRITE(*,*) 'FOR ASSISTANCE WITH THE REQUIRED INPUT, PLEASE VIEW'
      WRITE(*,*) 'OUR README FILE, WHICH DESCRIBES'
      WRITE(*,*) 'FILES NEEDED TO RUN THIS PROGRAM'
*      WRITE(*,*) 'OUR README FILE, WHICH DESCRIBES THE PARAMETERS'
*      WRITE(*,*) 'AND VARIABLES WHICH ARE INPUTTED INTO THE SYSTEM.'
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*) ' '
      WRITE(*,*) 'IF YOU GET FILE ERROR MESSAGES, YOU MIGHT NOT HAVE'
      WRITE(*,*) 'ALL OF THE NECESSARY FILES TO RUN THE PROGRAM.'
      WRITE(*,*) ' '
      WRITE(*,*) 'PRESS ENTER TO CONTINUE'
      READ(*,'(A4)') DUM
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
*      WRITE(*,*) 'YOU MUST HAVE THE FOLLOWING FILES FOR THIS PROGRAM'
*      WRITE(*,*) 'TO FUNCTION PROPERLY:'
*      WRITE(*,*) ' '
*      WRITE(*,*) '1) 5 YEARS OF HOURLY AVERAGED METEOROLOGICAL SURFACE'
*      WRITE(*,*) '   AND MIXING HEIGHT FILES IN NWS FORMAT FOR A'
*      WRITE(*,*) '   PARTICULAR MONITORING STATION'
*      WRITE(*,*) '   (e.g., MHT1-MHT5 & SFC1.ORG-SFC5.ORG)'
*      WRITE(*,*) ' '
*      WRITE(*,*) '2) THE SPSS CUBIC CALCULATED EMISSIONS FILE FOR'
*      WRITE(*,*) '   A PESTICIDE APPLICATION'
*      WRITE(*,*) '   (e.g., KERN2001.DAT)'
*      WRITE(*,*) ' '
*      WRITE(*,*) '3) 5 YEARS OF BASE ISCST3 INPUT FILES'
*      WRITE(*,*) '   (e.g., YEAR1A.BAS-YEAR5A.BAS)'
*      WRITE(*,*) ' '
*      WRITE(*,*) '4) MAIN BATCH FILE'
*      WRITE(*,*) '   (e.g., RANDOM.BAS)'
*      WRITE(*,*) ' '
*      WRITE(*,*) 'IF YOU DO NOT HAVE ANY OF THESE FILES, PLEASE CONTACT'
*      WRITE(*,*) 'US AT 703-780-4580 OR AT SULL_ENV@IX.NETCOM.COM.'
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*) 'PLEASE PRESS ENTER TO BEGIN THE PROGRAM.'
      READ(*,'(A4)') DUM
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION I: Title

*      WRITE(*,*) 'WHAT NAME DO YOU WANT TO USE FOR THIS EXPOSURE'
*      WRITE(*,*) 'ASSESSMENT RUN?  IT IS RECOMMENDED THAT THE USER'
*      WRITE(*,*) 'INCLUDE THE FOLLOWING IN THE TITLE:'
*      WRITE(*,*) ' '
*      WRITE(*,*) '1) NAME OF PESTICIDE USED IN APPLICATION'
*      WRITE(*,*) ' '
*      WRITE(*,*) '2) LOCATION OF APPLICATION'
*      WRITE(*,*) ' '
*      WRITE(*,*) '3) DATE OF APPLICATION'
*      WRITE(*,*) ' '
*      WRITE(*,*) '4) TYPE OF APPLICATION'
*      WRITE(*,*) ' '
*      WRITE(*,*) '(Example: Metam-Sodium California Summer 2001 Shank)'
*      WRITE(*,*) ' '
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*) 'PLEASE ENTER THE NAME YOU WANT TO GIVE THIS RUN'
      WRITE(*,*) ' '
      READ(*,'(A75)') Title
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION II: Area Source Size Identification

*      WRITE(*,*) 'PLEASE ENTER THE SIZE OF THE AREA SOURCE'
*      WRITE(*,*) 'YOU WISH TO HAVE MODELED IN X AND Y COORDINATES.'
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*) 'ENTER THE RELATIVE LENGTH AND WIDTH OF'
      WRITE(*,*) 'THE FIELD IN THE FOLLOWING FORMAT:'
      WRITE(*,*) '  X = EAST-WEST DISTANCE IN METERS (INTEGERS ONLY)'
      WRITE(*,*) '  Y = NORTH-SOUTH DISTANCE IN METERS (INTEGERS ONLY)'
      WRITE(*,*) ' '
   1  WRITE(*,*) 'X LENGTH (DEFAULT IS 100 METERS)? '
      READ(*,'(I7)',ERR=1) IX
      IF (IX.LE.0) THEN
        WRITE(*,*) 'YOU MUST INPUT A POSITIVE INTEGER.'
        GOTO 1
      ELSE IF (IX.GT.1000) THEN
        WRITE(*,*) 'THIS PROGRAM CANNOT MODEL AREA SOURCES'
        WRITE(*,*) 'GREATER THAN 1 KILOMETER ON A SIDE.'
        WRITE(*,*) 'PLEASE REENTER X LENGTH.'
        GOTO 1
      END IF
   2  WRITE(*,*) 'Y LENGTH (DEFAULT IS 800 METERS)? '
      READ(*,'(I7)',ERR=2) IY
      IF (IY.LE.0) THEN
        WRITE(*,*) 'YOU MUST INPUT A POSITIVE INTEGER.'
        GOTO 2
      ELSE IF (IY.GT.1000) THEN
        WRITE(*,*) 'THIS PROGRAM CANNOT MODEL AREA SOURCES'
        WRITE(*,*) 'GREATER THAN 1 KILOMETER ON A SIDE.'
        WRITE(*,*) 'PLEASE REENTER Y LENGTH.'
        GOTO 2
      END IF
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION III: Receptor Grid Identification

*   3  WRITE(*,*) 'MUCH RESEARCH HAS BEEN PERFORMED TO DETERMINE THE'
*      WRITE(*,*) 'PLACEMENT OF RECEPTORS. WE HAVE FOUND A SERIES OF'
*      WRITE(*,*) '10 RECEPTOR RINGS SPACED BY 5 DEGREE RADIALS WITH'
*      WRITE(*,*) 'SPOKES ORIGINATING IN THE CENTER OF THE FIELD AND'
*      WRITE(*,*) 'GOING OUT TO 50, 100, 150, 200, 250, 300, 400, 500,'
*      WRITE(*,*) '750, 1000 METERS AS BEST SUITED FOR'
*      WRITE(*,*) 'ANALYSIS OF A FIELD 100 METERS WIDE AND 800 METERS'
*      WRITE(*,*) 'LONG WITH 1.49 EXCEEDANCES AND MODERATE THRESHOLDS.'
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
    3 WRITE(*,*) 'THE FOLLOWING DISTANCES FROM THE CENTER OF THE FIELD'
      WRITE(*,*) 'CONSTITUTE THE DEFAULT SET: 50, 100, 150, 200, 250,'
      WRITE(*,*) ' 300, 400, 500, 750, 1000 METERS'
      WRITE(*,*) 'FOR A FIELD 100 METERS WIDE AND 800 METERS'
      WRITE(*,*) ' '
      WRITE(*,*) 'DO YOU WISH TO USE THIS DEFAULT RECEPTOR RING'
      WRITE(*,*) 'SYSTEM? (1 = YES, 2 = NO) '
    4 READ(*,'(I4)',ERR=3) TT
      IF (TT.NE.1.AND.TT.NE.2) THEN
        WRITE(*,*) 'PLEASE INPUT A 1 OR 2 PLEASE. '
        GOTO 4
      END IF
      IF (TT.EQ.2) THEN
*        WRITE(*,*) 'PLEASE SELECT THE 10 RING RECEPTOR DISTANCES'
*        WRITE(*,*) 'FOR USE IN THE ISCST3 PROGRAM IN'
*        WRITE(*,*) 'METERS FROM THE CENTER OF THE FIELD.'
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
        WRITE(*,*) 'PLEASE SELECT 10 RING DISTANCES (IN METERS)'
        WRITE(*,*) 'FROM THE CENTER OF THE FIELD'
        WRITE(*,*) ' '
        DO F=1,10
   5      WRITE(*,'(A8,I2,A1)') 'RING # ',F,' '
          READ(*,'(I5)',ERR=5) RING(F)
          IF (RING(F).LE.0.OR.RING(F).GT.10000) THEN
            WRITE(*,*) 'PLEASE INPUT A POSITIVE VALUE 1-10000 METERS.'
            WRITE(*,*) ' '
            GOTO 5
          END IF
          IF (F.GT.1) THEN
            IF (RING(F).LE.RING(F-1)) THEN
              WRITE(*,*) 'RING DISTANCES MUST BE IN ASCENDING ORDER'
              WRITE(*,*) 'FOR THE PROGRAM TO ACCURATELY CALCULATE'
              WRITE(*,*) 'DISTANCES TO CONCENTRATION THRESHOLDS.'
              WRITE(*,*) 'PLEASE REINPUT RING # ',F,' DISTANCE.'
              WRITE(*,*) 'THE DISTANCE SHOULD BE GREATER THAN',
     x                 RING(F-1),'METERS.'
              WRITE(*,*) ' '
              WRITE(*,*) 'IF YOU WANT TO START OVER TYPE IN 1.'
              WRITE(*,*) 'OTHERWISE JUST PRESS ENTER. '
              READ(*,'(I5)',ERR=3) DUMI
              IF (DUMI.EQ.1) THEN
                GOTO 3
              END IF
              GOTO 5
            END IF
          END IF
        END DO
      ELSE
        RING(1)=50
        RING(2)=100
        RING(3)=150
        RING(4)=200
        RING(5)=250
        RING(6)=300
        RING(7)=400
        RING(8)=500
        RING(9)=750
        RING(10)=1000
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION IV: Number of Simulations

*    6 WRITE(*,*) 'SENSITIVITY TESTING OF THE NUMBER OF SIMULATIONS'
*      WRITE(*,*) 'IN TOXST HAS SHOWN THAT 5,000 SIMULATED YEARS IS'
*      WRITE(*,*) 'SUFFICIENT FOR THE DEFAULT CASE (1.49 EXCEEDANCES).'
*      WRITE(*,*) 'THIS NUMBER SHOULD BE HIGHER WHEN MODELING LOWER'
*      WRITE(*,*) 'EXCEEDANCES (LONGER RECURRENCE INTERVALS).'
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
    6 WRITE(*,*) 'IDENTIFY THE NUMBER OF SIMULATED YEARS'
      WRITE(*,*) ' '
      WRITE(*,*) '*** (5,000 IS DEFAULT RECOMMENDATION) ***'
      WRITE(*,*) ' '
      WRITE(*,*) 'ACCEPTABLE RANGE: 200 - 100,000 SIMULATIONS.'
      WRITE(*,*) ' '
*      WRITE(*,*) 'HOW MANY MONTE CARLO SIMULATION YEARS DO YOU WANT TO'
*      WRITE(*,*) 'RUN FOR THE TOXST PROGRAM? '
      WRITE(*,*) 'HOW MANY MONTE CARLO SIMULATION YEARS DO YOU WANT'
      WRITE(*,*) 'SIMULATED? (PLEASE ENTER INTEGER VALUE) '
      READ(*,'(I7)',ERR=6) Sim
    7 IF (Sim.LT.200.OR.Sim.GT.100000) THEN
        WRITE(*,*) 'REQUIRED INPUT:  POSITIVE INTEGER FROM 200-100,000.'
        WRITE(*,*) ' '
        WRITE(*,*) 'HOW MANY MONTE CARLO SIMULATION YEARS DO YOU WANT'
        WRITE(*,*) 'TO RUN FOR THE TOXST PROGRAM? '
        WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '

        READ(*,'(I7)',ERR=7) Sim
        GOTO 7
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION V: Monte Carlo Randomization of Emissions and Meteorological Variables

   10 WRITE(*,*) 'FOR WHICH METEOROLOGICAL PARAMETERS DO YOU WANT TO'
*      WRITE(*,*) 'HAVE RANDOMIZED INTO MONTE CARLO DISTRIBUTIONS?'
      WRITE(*,*) 'TREAT UNCERTAINTY AS A PROBABILISTIC VARIABLE?'
      WRITE(*,*) '(DEFAULT IS NUMBER 2)'
      WRITE(*,*) ' '
*      WRITE(*,*) '0 = SOME OR NO PARAMETERS ARE RANDOMIZED'
      WRITE(*,*) '0 = SOME PARAMETERS ARE NOT TREATED AS PROBABILISTIC'
      WRITE(*,*) '    VARIABLES'
      WRITE(*,*) ' '
*      WRITE(*,*) '1 = ALL PARAMETERS ARE RANDOMIZED'
      WRITE(*,*) '1 = ALL PARAMETERS ARE TREATED AS PROBABILISTIC'
      WRITE(*,*) '    VARIABLES'
      WRITE(*,*) ' '
*      WRITE(*,*) '2 = ALL PARAMETERS EXCEPT STABILITY ARE RANDOMIZED'
      WRITE(*,*) '2 = ALL PARAMETERS ARE TREATED AS PROBABILISTIC'
      WRITE(*,*) '    VARIABLES, EXCEPT STABILITY'
      WRITE(*,*) ' '
      WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '

      READ(*,'(I3)',ERR=10) Dist

      IF (Dist.NE.0.AND.Dist.NE.1.AND.Dist.NE.2) THEN
        WRITE(*,*) 'INTEGER BETWEEN 0 AND 2 PLEASE.'
        WRITE(*,*) ' '
        GOTO 10
      END IF

      IF (Dist.EQ.1) THEN
         EM=1
         WS=1
         WD=1
         IS=1
      ELSE IF (Dist.EQ.0) THEN

         WRITE(*,*) 'WHICH OF THE FOLLOWING PARAMETERS DO YOU WANT'
         WRITE(*,*) 'TO USE RANDOMIZED HOURLY DISTRIBUTIONS?'
         WRITE(*,*) '(0 = NO AND 1 = YES)'
         WRITE(*,*) ' '

   20    WRITE(*,*) 'EMISSIONS? '
         READ(*,'(I3)',ERR=20) EM
         IF (EM.NE.1.AND.EM.NE.0) THEN
           GOTO 20
         END IF

   30    WRITE(*,*) 'WIND SPEED? '
         READ(*,'(I3)',ERR=30) WS
         IF (WS.NE.1.AND.WS.NE.0) THEN
           GOTO 30
         END IF

   40    WRITE(*,*) 'WIND DIRECTION? '
         READ(*,'(I3)',ERR=40) WD
         IF (WD.NE.1.AND.WD.NE.0) THEN
           GOTO 40
         END IF

   50    WRITE(*,*) 'STABILITY? '
         READ(*,'(I3)',ERR=50) IS
          IF (IS.NE.1.AND.IS.NE.0) THEN
           GOTO 50
         END IF
      ELSE
         EM=1
         WS=1
         WD=1
         IS=0
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION VI: Indoor Exposure

   60 WRITE(*,*) 'DO YOU WANT THE OPTION TO RUN INDOOR AIR'
      WRITE(*,*) 'EXPOSURES?'
      WRITE(*,*) ' '
      WRITE(*,*) '0 = ONLY AMBIENT EXPOSURES (DEFAULT)'
      WRITE(*,*) '1 = INDOOR AND AMBIENT EXPOSURES'
      WRITE(*,*) '2 = PERSONAL AND AMBIENT EXPOSURES'
      WRITE(*,*) '    (PERSONAL EXPOSURES ARE MOST REPRESENTATIVE'
      WRITE(*,*) '    OF MOBILE RECEPTORS EXPOSURES)'
      WRITE(*,*) '3 = INDOOR, PERSONAL, AND AMBIENT'
      WRITE(*,*) '    EXPOSURES FOR COMPARISON PURPOSES.'
      WRITE(*,*) '    [WARNING! THIS RUN WILL REQUIRE A LONG TIME'
      WRITE(*,*) '    AND A LARGE AMOUNT OF DISK SPACE (>10 Gbytes).'
      WRITE(*,*) ' '
      WRITE(*,*) '*** FOR FEMS PROTOTYPE ONLY ENTER "0" ***'
      WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '

      READ(*,'(I2)',ERR=60) Indoor

      IF (INDOOR.NE.0.AND.INDOOR.NE.1.AND.INDOOR.NE.2.AND.INDOOR.
     x         NE.3) THEN
        WRITE(*,*) 'INTEGER BETWEEN 0 AND 3 PLEASE.'
        WRITE(*,*) ' '
        GOTO 60
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION VII: Emission Distribution Sequence Length

   62 WRITE(*,*) 'HOW MANY TIMES PER YEAR WILL AN APPLICATION'
      WRITE(*,*) 'OCCUR?'
      WRITE(*,*) ' '
      WRITE(*,*) '1 = ONCE A YEAR'
      WRITE(*,*) '2 = TWICE A YEAR'
      WRITE(*,*) '3 = THREE TIMES A YEAR'
      WRITE(*,*) '4 = ONCE EVERY TWO YEARS'
      WRITE(*,*) '5 = ONCE EVERY THREE YEARS'
      WRITE(*,*) '6 = ONCE EVERY FOUR YEARS'
      WRITE(*,*) ' '
      WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '
      READ(*,'(I2)',ERR=62) Ap
      IF (Ap.GT.6.OR.Ap.LT.1) THEN
         WRITE(*,*) 'INTEGER BETWEEN 1 AND 6 PLEASE.'
         WRITE(*,*) ' '
         GOTO 62
      END IF
      IF (Ap.EQ.1) THEN
         App=1.0
      ELSE IF (Ap.EQ.2) THEN
         App=2.0
      ELSE IF (Ap.EQ.3) THEN
         App=3.0
      ELSE IF (Ap.EQ.4) THEN
         App=0.5
      ELSE IF (Ap.EQ.5) THEN
         App=0.33
      ELSE
         App=0.25
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION VIII: Length of Emission Off-gassing

   65 WRITE(*,*) 'HOW MANY DAYS OF OFF-GASSING ARE INCLUDED'
      WRITE(*,*) 'IN THE EMISSIONS SEQUENCE?'
      WRITE(*,*) ' '
*      WRITE(*,*) '(DEFAULT = 4 DAYS BASED ON TEST CASE.'
      WRITE(*,*) '*** MUST ENTER "4" FOR FEMS PROTOTYPE ***'
      WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '
*      WRITE(*,*) 'NOTE:  THIS VALUE MUST MATCH THE NUMBER'
*      WRITE(*,*) 'OF DAYS OF EMISSIONS IN THE CUBIC EMISSIONS FILE'
*      WRITE(*,*) 'TO HAVE ACCURATE RESULTS IN TOXST.)'
      READ(*,'(I4)',ERR=65) Days
      IF (Days.LE.0) THEN
        WRITE(*,*) 'POSITIVE INTEGER PLEASE.'
        WRITE(*,*) ' '
        GOTO 65
      ELSE IF (Days.GT.100) THEN
        WRITE(*,*) 'THIS PROGRAM IS NOT DESIGNED TO DO LONG-TERM'
        WRITE(*,*) 'EMISSIONS MODELING. EMISSIONS SEQUENCES ARE'
        WRITE(*,*) 'USUALLY 2-4 DAYS. PLEASE REINPUT DAYS.'
        WRITE(*,*) ' '
        GOTO 65
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION IX: Averaging Time

   75 WRITE(*,*) 'WHAT AVERAGING TIME WILL BE USED? (AVERAGE'
      WRITE(*,*) 'SHOULD BE IN THE RANGE OF 1-24 HOURS)'
      WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '

      READ(*,'(I3)',ERR=75) Time
      IF (Time.NE.1.AND.Time.NE.2.AND.Time.NE.3.AND.Time.NE.4) THEN
        IF (Time.NE.6.AND.Time.NE.8.AND.Time.NE.12.AND.Time.NE.24) THEN
          WRITE(*,*) 'POSITIVE INTEGERS THAT 24 HOURS'
          WRITE(*,*) 'CAN DIVIDE INTO ARE REQUIRED.'
          WRITE(*,*) '(1, 2, 3, 4, 6, 8, 12, AND 24 HOURS)'
          WRITE(*,*) ' '
          GOTO 75
        END IF
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION X: Application Rate

*   80 WRITE(*,*) 'APPLICATION RATES REFLECT THE AMOUNT OF APPLIED'
*      WRITE(*,*) 'PESTICIDE ON A PER ACRE BASIS IN FEMS.'
*      WRITE(*,*) 'NOTE:  FOR BEDDED SHANK INJECTION APPLICATIONS,'
*      WRITE(*,*) 'LESS THAN THE ENTIRE FIELD IS APPLIED.  THEREFORE,'
*      WRITE(*,*) 'FOR THESE APPLICATIONS, LESS THAN 100% OF THE'
*      WRITE(*,*) 'MAXIMUM APPLICATION RATE IS APPLIED ON A PER ACRE.'
*      WRITE(*,*) 'BASIS; THEREFORE, THE PROGRAM WILL ALLOW FOR > 100%'
*      WRITE(*,*) 'OF THE APPLICATION RATE FOR THESE TYPES OF'
*      WRITE(*,*) 'APPLICATIONS TO PREDICT WHAT THE ENDPOINTS WOULD BE'
*      WRITE(*,*) 'IF THE MAXIMUM APPLICATION RATE WAS USED OVER THE'
*      WRITE(*,*) 'ENTIRE FIELD BEING MODELED.'
*      WRITE(*,*) ' '
*      WRITE(*,*) '(EXAMPLE: TYPE IN 110 FOR 110% OF THE APPLICATION'
*      WRITE(*,*) 'RATE OR 50 FOR 50% OF THE APPLICATION RATE.)'
      WRITE(*,*) ' '
   80 WRITE(*,*) 'WHAT PERCENTAGE OF THE MAXIMUM APPLICATION RATE'
      WRITE(*,*) 'DO YOU WANT TO USE?'
      WRITE(*,*) ' '
      WRITE(*,*) '*** FOR FEMS PROTOTYPE USE 100 ***'
      WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '
      READ(*,'(I4)',ERR=80) PER
      IF (PER.LT.1.OR.PER.GT.200) THEN
        WRITE(*,*) 'YOU MUST INPUT AN INTEGER FROM 1-200 REPRESENTING'
        WRITE(*,*) 'PERCENTAGES OF THE MAXIMUM APPLICATION RATE'
        WRITE(*,*) '(e.g. 20 REPRESENTS 20% OF THE MAXIMUM APPLICATION'
        WRITE(*,*) 'RATE)'
        WRITE(*,*) ' '
        GOTO 80
      END IF

      OPEN(67,FILE='APP.DAT',STATUS='UNKNOWN')
      WRITE(67,'(I4)') PER
      CLOSE(67)

*      WRITE(*,*) 'APP.DAT FILE HAS BEEN UPDATED WITH THE NEW'
*      WRITE(*,*) 'APPLICATION RATE.  EMISSION RATES WILL BE'
*      WRITE(*,*) 'ADJUSTED BY A FACTOR OF ',REAL(Per)/100,'.'
*      WRITE(*,*) 'PRESS ENTER TO CONTINUE.'
*      READ(*,'(A75)') DUM
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION XI: SPSS CUBIC PARAMETER File

 8000 WRITE(*,*) 'WHAT IS THE NAME OF THE EMISSIONS DISTRIBUTION'
      WRITE(*,*) 'FILE?'
      WRITE(*,*) ' '
      WRITE(*,*) '*** FOR FEMS PROTOTYPE USE KERN2001.DAT ***'
      WRITE(*,*) 'PLEASE ENTER YOUR FILENAME NOW   '

      READ(*,'(A20)') CUBICFILE

      OPEN(67,FILE='SPSS.DAT',STATUS='UNKNOWN')
      OPEN(66,FILE=CUBICFILE,STATUS='UNKNOWN')

      DO I=1,2000
        READ(66,'(A75)',END=9990,ERR=8000) DUM
        WRITE(67,'(A75)') DUM
        WRITE(*,*) DUM
      END DO

 9990 CLOSE(67)
      CLOSE(66)

      WRITE(*,*)
      WRITE(*,*)
*      WRITE(*,*) 'IF THERE ARE FOUR COLUMNS OF NUMBERS ABOVE'
*      WRITE(*,*) 'THEN THE CUBIC EMISSIONS FILE IS PROPERLY'
*      WRITE(*,*) 'SET UP.  WITHOUT THIS FILE, FEMS WILL NOT'
*      WRITE(*,*) 'OPERATE PROPERLY AND WILL DEFAULT TO THE'
*      WRITE(*,*) 'PREVIOUSLY INPUT CUBIC FILE SO AS NOT TO CRASH.'
*      WRITE(*,*) ' '
*      WRITE(*,*) 'IF YOU WANT TO REINPUT THE CUBIC FILE NAME,'
*      WRITE(*,*) 'TYPE IN 1 AND ENTER. OTHERWISE JUST PRESS ENTER. '
*      READ(*,'(I2)',ERR=8000) DUMI
*      IF (DUMI.EQ.1) THEN
*        GOTO 8000
*      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

C     SECTION XII: Number of Exceedances and Threshold Values

   85 WRITE(*,*) 'HOW MANY CONCENTRATION THRESHOLDS DO YOU WANT'
      WRITE(*,*) 'TO HAVE? (PLEASE ENTER AN INTEGER FROM 1 - 6)'
      WRITE(*,*) ' '

   90 READ(*,'(I2)',ERR=85) N
      IF (N.LT.1.OR.N.GT.6) THEN
        WRITE(*,*) 'INTEGER BETWEEN 1 AND 6 PLEASE.'
        WRITE(*,*) ' '
        GOTO 90
      END IF
      DO J=1,N
   95   WRITE(*,*) 'WHAT CONCENTRATION THRESHOLD IN MICROGRAMS'
        WRITE(*,*) 'PER CUBIC METER ARE YOU USING FOR THRESHOLD',J,' ?'
        WRITE(*,*) ' '

        IF (J .EQ. 1) THEN
          WRITE(*,*) 'ENTER THE FIRST CONCENTRATION THRESHOLD (ug/m3)  '
        ELSE IF(J .EQ. 2) THEN
          WRITE(*,*) 'ENTER THE SECOND CONCENTRATION THRESHOLD (ug/m3) '
        ELSE IF(J .EQ. 3) THEN
          WRITE(*,*) 'ENTER THE THIRD CONCENTRATION THRESHOLD (ug/m3)  '
        ELSE IF(J .EQ. 4) THEN
          WRITE(*,*) 'ENTER THE FOURTH CONCENTRATION THRESHOLD (ug/m3) '
        ELSE IF(J .EQ. 5) THEN
          WRITE(*,*) 'ENTER THE FIFTH CONCENTRATION THRESHOLD (ug/m3)  '
        ELSE IF(J .EQ. 6) THEN
          WRITE(*,*) 'ENTER THE SIXTH CONCENTRATION THRESHOLD (ug/m3)  '
        END IF

        READ(*,'(I5)',ERR=95) Threshold(J)
        IF (J.GT.1) THEN
          IF (Threshold(J).LE.Threshold(J-1)) THEN
            WRITE(*,*)
            WRITE(*,*) 'NEW THRESHOLD VALUE MUST BE LARGER THAN'
            WRITE(*,*) 'PREVIOUS THRESHOLD VALUE FOR PROGRAM TO'
            WRITE(*,*) 'FUNCTION PROPERLY.  PLEASE INPUT A THRESHOLD'
            WRITE(*,*) 'GREATER THAN ',Threshold(J-1),'.'
            WRITE(*,*)
            WRITE(*,*) 'IF YOU WANT TO START OVER TYPE IN 1.'
            WRITE(*,*) 'OTHERWISE PRESS ENTER.'
            WRITE(*,*) ' '
            READ(*,'(I5)',ERR=95) DUMI
            IF (DUMI.EQ.1) THEN
              GOTO 85
            END IF
            GOTO 95
          END IF
        END IF

      END DO

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

*   98 WRITE(*,*) 'WHAT NUMBER OF EXCEEDANCES OF THE THRESHOLD(S)'
*      WRITE(*,*) 'ARE YOU USING? (TYPICALLY EITHER 1.00 OR 1.49.'
*      WRITE(*,*) 'PLEASE INPUT REAL NUMBERS ONLY WITH DECIMALS!)'
   98 WRITE(*,*) 'HOW MANY TIMES PER YEAR WILL CONCENTRATIONS'
      WRITE(*,*) 'BE ALLOWED TO EXCEED THE THRESHOLD CONCENTRATION?'
      WRITE(*,*) 'SEE USERS GUIDE FOR CONVERSION FROM EXCEEDANCES'
      WRITE(*,*) 'TO PERCENTILES'
      WRITE(*,*) ''
      WRITE(*,*) 'THE DEFAULT IS 1.49, WHICH EQUALS APPROXIMATELY'
      WRITE(*,*) 'THE 95TH PERCENTILE WITHIN THE ACTIVE PERIOD'
      WRITE(*,*) 'BASED ON 4-HOUR AVERAGES AND A 4-DAY OFF-GASSING'
      WRITE(*,*) 'PERIOD.'
      WRITE(*,*) ''
      WRITE(*,*) 'WARNING: USE OF EXCEEDANCES < 0.05 IS NOT RECOMMENDED'
      WRITE(*,*) '(STABILITY OF RESULTS HAS NOT BEEN EVALUATED).'
      WRITE(*,*) 'EXCEEDANCES/YR IS READ IN TOXST TO THE FIRST'
      WRITE(*,*) '2 DECIMAL POINTS (E.G., 8.024 RESULTS'
      WRITE(*,*) 'WILL NOT BE DIFFERENT FROM 8.02 RESULTS).'
      WRITE(*,*) ' '
      WRITE(*,*) 'PLEASE ENTER THE VALUE NOW   '

      READ(*,'(F7.2)',ERR=98) Exceed
      IF (Exceed.LT.0.OR.Exceed.GT.100) THEN
        WRITE(*,*) 'EXCEEDANCES MUST BE A POSITIVE REAL VALUE'
        WRITE(*,*) 'BETWEEN 0.00 AND 100.00'
        WRITE(*,*) ' '
        GOTO 98
      END IF

      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)

***   SECTION XIII: Meteorological File and Confirmation

***   More regions to be added for entire country
***   when available and approved

  777 WRITE(*,*) 'WHAT METEOROLOGICAL REGION DO YOU WANT TO USE?'
      WRITE(*,*) '(ENTER AN INTEGER FROM 1 - 8)'
      WRITE(*,*) ' '
      WRITE(*,*) '*** "1" MUST BE SELECTED FOR THE FEMS PROTOTYPE ***'
      WRITE(*,*)
      WRITE(*,*) '1 - FRESNO, CA'
      WRITE(*,*) '2 - NOT PRESENTLY AVAILABLE'
      WRITE(*,*) '3 - NOT PRESENTLY AVAILABLE'
      WRITE(*,*) '4 - NOT PRESENTLY AVAILABLE'
      WRITE(*,*) '5 - NOT PRESENTLY AVAILABLE'
      WRITE(*,*) '6 - NOT PRESENTLY AVAILABLE'
      WRITE(*,*) '7 - NOT PRESENTLY AVAILABLE'
      WRITE(*,*) '8 - NOT PRESENTLY AVAILABLE'
      WRITE(*,*) ' '
      WRITE(*,*) 'PLEASE ENTER YOUR NUMBER NOW   '

      READ(*,'(I3)',ERR=777) A
      IF (A.NE.1) THEN
        WRITE(*,*) 'PLEASE INPUT 1.  OTHER DATASETS WILL BE AVAILABLE'
        WRITE(*,*) 'IN THE FUTURE.'
        WRITE(*,*) ' '
        GOTO 777
      END IF

      IF (A.EQ.1) THEN
        DO M=1,5
          OPEN(1,FILE=MHTB(M),STATUS='UNKNOWN')
          OPEN(2,FILE=MHTR1(M),STATUS='UNKNOWN')
          DO MM=1,10000
            IF (MM.EQ.2) THEN
              READ(2,'(A45)',END=150) DUM
              WRITE(1,'(A45)') DUM
              WRITE(*,*) DUM
            ELSE
              READ(2,'(A45)',END=150) DUM
              WRITE(1,'(A45)') DUM
            END IF
          END DO
  150     CLOSE(1)
          CLOSE(2)
        END DO
        WRITE(*,*) ' '
        DO M=1,5
          OPEN(1,FILE=SFCB(M),STATUS='UNKNOWN')
          OPEN(2,FILE=SFCR1(M),STATUS='UNKNOWN')
          DO MM=1,10000
            READ(2,'(A30)',END=155) DUM
            WRITE(1,'(A30)') DUM
          END DO
  155     WRITE(*,*) DUM
          CLOSE(1)
          CLOSE(2)
        END DO

      END IF

*      WRITE(*,*) ' '
*      WRITE(*,*) 'METEOROLOGICAL DATA IS PRESENT IF YOU SEE DATA ABOVE.'
*      WRITE(*,*) 'EXAMPLE OF ONE HOUR OF THE DATSETS ARE SHOWN FOR EACH'
*      WRITE(*,*) 'YEAR AND MET TYPE.'
*      WRITE(*,*) 'IF YOU WANT TO REINPUT THE METEOROLOGICAL DATASET,'
*      WRITE(*,*) 'TYPE IN 1 AND ENTER. OTHERWISE JUST PRESS ENTER.'
*      READ(*,'(I2)',ERR=999) DUMI
*      IF (DUMI.EQ.1) THEN
*        GOTO 777
*      END IF

***   SECTION QC I: Request User to Check Inputted Parameters

  999 Prob=App/((365-REAL(Days))*24)
      Acres=REAL(IX)*REAL(IY)/4047
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*)
      WRITE(*,*) '1. Title:  ', Title
      WRITE(*,'(A32,F6.2)') '2. Total Acres:                ', Acres
      WRITE(*,*) '3. Emissions Randomized:       ', Em
      WRITE(*,*) '4. Wind Speed Randomized:      ', Ws
      WRITE(*,*) '5. Wind Direction Randomized:  ', Wd
      WRITE(*,*) '6. Stability Randomized:       ', Is
      WRITE(*,*) '7. Indoor:                     ', Indoor
      WRITE(*,'(A32,F6.2)') '8. # of Exceedances:           ', Exceed
      WRITE(*,*) '9. Ring Distances:             '
      WRITE(*,*) (RING(F),' ',F=1,10)
      WRITE(*,*) '10. Days for Off-Gassing:      ', Days
      WRITE(*,*) '11. Averaging Time:            ', Time
      WRITE(*,*) '12. Number of Thresholds:      ', N
      WRITE(*,*) 'Thresholds:'
      WRITE(*,*) (Threshold(Z), ' ',Z=1,N)
      WRITE(*,*) '13. # of Simulations:          ', Sim
      WRITE(*,'(A32,F7.3)') '14. # of Applications/Year:    ', App
      WRITE(*,*) '15. % of Maximum Applicate Rate:', Per
      WRITE(*,*)
      WRITE(*,*) 'DO YOU WANT TO CHANGE ANY OF THE VALUES?'
      WRITE(*,*) '0=NO, 1=YES: '
 1000 READ(*,'(I3)',ERR=999) A
      IF (A.NE.0.AND.A.NE.1) THEN
        WRITE(*,*)
        WRITE(*,*) 'PLEASE INPUT A 0 OR 1 PLEASE. '
        GOTO 1000
      END IF
      IF (A.EQ.0) THEN
        GOTO 1500
      END IF
 1005 WRITE(*,*) 'WHICH CHARACTERISTIC WOULD YOU LIKE TO CHANGE? '
      READ(*,'(I3)',ERR=1005) V
      IF (V.LT.1.OR.V.GT.15) THEN
         WRITE(*,*) ' '
         WRITE(*,*) 'PLEASE INPUT NUMBER BETWEEN 1 AND 15.'
         GOTO 1005
      END IF

      WRITE(*,*) ' '

      IF (V.EQ.1) THEN
         WRITE(*,*) 'PLEASE INPUT NEW TITLE'
         WRITE(*,*)
         READ(*,'(A75)') Title
      ELSE IF (V.EQ.2) THEN
 1010    WRITE(*,*) 'PLEASE INPUT NEW FIELD DIMENSIONS.'
         WRITE(*,*) 'PLEASE INPUT X COORDINATE (LENGTH IN METERS)'
         WRITE(*,*) 'MUST BE INTEGER BETWEEN 1 AND 1000.'
         WRITE(*,*) ' '
         READ(*,'(I5)',ERR=1010) IX
 1011    WRITE(*,*) 'PLEASE INPUT Y COORDINATE (LENGTH IN METERS)'
         WRITE(*,*) 'MUST BE INTEGER BETWEEN 1 AND 1000.'
         WRITE(*,*) ' '
         READ(*,'(I5)',ERR=1011) IY
         IAcre=INT(IX*IY/4047)
      ELSE IF (V.EQ.3) THEN
 1012    WRITE(*,*) 'ARE EMISSIONS RADNOMIZED?'
         WRITE(*,*) '0=NO, 1=YES'
         WRITE(*,*) ' '
         READ(*,'(I3)',ERR=1012) Em
      ELSE IF (V.EQ.4) THEN
 1013    WRITE(*,*) 'ARE WIND SPEEDS RANDOMIZED?'
         WRITE(*,*) '0=NO, 1=YES'
         WRITE(*,*) ' '
         READ(*,'(I3)',ERR=1013) Ws
      ELSE IF (V.EQ.5) THEN
 1014    WRITE(*,*) 'ARE WIND DIRECTIONS RANDOMIZED?'
         WRITE(*,*) '0=NO, 1=YES'
         WRITE(*,*) ' '
         READ(*,'(I3)',ERR=1014) Wd
      ELSE IF (V.EQ.6) THEN
 1015    WRITE(*,*) 'ARE ATMOSPHERIC STABILITIES RANDOMIZED?'
         WRITE(*,*) '0=NO, 1=YES'
         WRITE(*,*)
         READ(*,'(I3)',ERR=1015) Is
      ELSE IF (V.EQ.7) THEN
 1020    WRITE(*,*) 'AMBIENT (0), INDOOR(1), PERSONAL(2), OR'
         WRITE(*,*) 'ALL(3)?'
         WRITE(*,*)
         READ(*,'(I3)',ERR=1020) Indoor
         IF (Indoor.LT.0.OR.Indoor.GT.3) THEN
            WRITE(*,*) 'INTEGER BETWEEN 0 AND 3 PLEASE: '
            GOTO 1020
         END IF
      ELSE IF (V.EQ.8) THEN
 1070    WRITE(*,*) 'WHAT NUMBER OF EXCEEDANCES OF THE THRESHOLD(S)'
         WRITE(*,*) 'ARE YOU USING? (TYPICALLY EITHER 1.00 OR 1.49)'
         WRITE(*,*) ' '
         READ(*,'(F7.2)',ERR=1070) Exceed
         IF (Exceed.LE.0.OR.Exceed.GT.100) THEN
           WRITE(*,*) 'EXCEEDANCES MUST BE A POSITIVE REAL VALUE'
           WRITE(*,*) 'BETWEEN 0.00 AND 100.00.'
           GOTO 1070
         END IF
      ELSE IF (V.EQ.9) THEN
 1099   WRITE(*,*) 'PLEASE SELECT THE 10 RING RECEPTOR DISTANCES'
        WRITE(*,*) 'FOR USE IN THE ISCST3 PROGRAM IN'
        WRITE(*,*) 'METERS FROM THE CENTER OF THE FIELD.'
        WRITE(*,*) ' '
        DO F=1,10
 1100     WRITE(*,'(A8,I2,A1)') 'RING # ',F,' '
          READ(*,'(I6)',ERR=1100) RING(F)
          IF (RING(F).LE.0.OR.RING(F).GT.10000) THEN
            WRITE(*,*) 'POSITIVE INTEGER BETWEEN 1 AND 10000 PLEASE.'
            WRITE(*,*) ' '
            GOTO 1100
          END IF
          IF (F.GT.1) THEN
            IF (RING(F).LE.RING(F-1)) THEN
              WRITE(*,*) ' '
              WRITE(*,*) 'RING DISTANCES MUST BE IN ASCENDING ORDER'
              WRITE(*,*) 'FOR THE PROGRAM TO ACCURATELY CALCULATE'
              WRITE(*,*) 'DISTANCES TO CONCENTRATION THRESHOLDS.'
              WRITE(*,*) 'PLEASE REINPUT RING # ',F,' VALUE.'
              WRITE(*,*) 'THIS VALUE SHOULD BE GREATER THAN',
     x                 RING(F-1),'.'
              WRITE(*,*) 'IF YOU WANT TO START OVER TYPE IN 1.'
              WRITE(*,*) 'OTHERWISE JUST PRESS ENTER.'
              WRITE(*,*) ' '
              READ(*,'(I5)',ERR=1099) DUMI
              IF (DUMI.EQ.1) THEN
                GOTO 1099
              END IF
              GOTO 1100
            END IF
          END IF
        END DO
      ELSE IF (V.EQ.10) THEN
 1165   WRITE(*,*) 'HOW MANY DAYS OF OFF-GASSING ARE INCLUDED'
        WRITE(*,*) 'IN THE EMISSIONS SEQUENCE?'
        WRITE(*,*) ' '
       READ(*,'(I4)',ERR=1165) Days
        IF (Days.LE.0.AND.Days.GT.100) THEN
          WRITE(*,*) 'POSITIVE INTEGER BETWEEN 1 AND 100 PLEASE.'
          GOTO 1165
        END IF
      ELSE IF (V.EQ.11) THEN
 1175   WRITE(*,*) 'WHAT AVERAGING TIME WILL BE USED? (AVERAGE'
        WRITE(*,*) 'SHOULD BE IN THE RANGE OF 1-24 HOURS)'
        WRITE(*,*)
        WRITE(*,*)
        READ(*,'(I2)',ERR=1175) Time
        IF (Time.NE.1.AND.Time.NE.2.AND.Time.NE.3.AND.Time.NE.4) THEN
          IF (Time.NE.6.AND.Time.NE.8.AND.Time.NE.12.AND.Time.NE.24)THEN
            WRITE(*,*) 'POSITIVE INTEGERS THAT 24 HOURS'
            WRITE(*,*) 'CAN DIVIDE INTO ARE REQUIRED.'
            WRITE(*,*) '(1, 2, 3, 4, 6, 8, 12, AND 24 HOURS)'
            WRITE(*,*) ' '
            GOTO 1175
          END IF
        END IF
      ELSE IF (V.EQ.12) THEN
 1180   WRITE(*,*) 'HOW MANY CONCENTRATION THRESHOLDS DO YOU WANT'
        WRITE(*,*) 'TO HAVE? (1-6)'
        WRITE(*,*)
        WRITE(*,*)
        READ(*,'(I3)',ERR=1180) N
        IF (N.LE.0.OR.N.GT.6) THEN
          WRITE(*,*) 'INTEGER BETWEEN 1 AND 6 PLEASE.'
          GOTO 1180
        END IF
        DO J=1,N
 1185     WRITE(*,*) 'WHAT CONCENTRATION THRESHOLD IN MICROGRAMS'
          WRITE(*,*) 'PER CUBIC METER ARE YOU USING FOR THRESHOLD ',J,
     X              ' ?'
          WRITE(*,*) ' '
          READ(*,'(I5)',ERR=1185) Threshold(J)
          IF (J.GT.1) THEN
            IF (Threshold(J).LE.Threshold(J-1)) THEN
              WRITE(*,*)
              WRITE(*,*) 'NEW THRESHOLD VALUE MUST BE LARGER THAN'
              WRITE(*,*) 'PREVIOUS THRESHOLD VALUE FOR PROGRAM TO'
              WRITE(*,*) 'FUNCTION PROPERLY.  PLEASE INPUT A THRESHOLD'
              WRITE(*,*) 'GREATER THAN ',Threshold(J-1),'.'
              WRITE(*,*) ' '
              WRITE(*,*) 'IF YOU WANT TO START OVER TYPE IN 1.'
              WRITE(*,*) 'OTHERWISE PRESS ENTER.'
              WRITE(*,*) ' '
              READ(*,'(I5)',ERR=1185) DUMI
              IF (DUMI.EQ.1) THEN
                GOTO 1180
              END IF
              GOTO 1185
            END IF
          END IF
        END DO
      ELSE IF (V.EQ.13) THEN
 1150   WRITE(*,*) 'HOW MANY MONTE CARLO SIMULATIONS DO YOU WANT TO'
        WRITE(*,*) 'RUN FOR THE TOXST PROGRAM?'
        WRITE(*,*) '   DEFAULT = 5000 SIMULATIONS'
        WRITE(*,*) '   ACCEPTABLE RANGE = 200-100,000'
        WRITE(*,*) ' '
        READ(*,'(I7)',ERR=1150) Sim
        IF (Sim.LT.200.OR.Sim.GT.100000) THEN
          WRITE(*,*) 'REQUIRED INPUT:  POSITIVE INTEGER (200-100,000).'
          READ(*,'(I7)',ERR=1150) Sim
          GOTO 1150
        END IF
      ELSE IF (V.EQ.14) THEN
 1162   WRITE(*,*) 'HOW MANY TIMES A YEAR WILL AN APPLICATION'
        WRITE(*,*) 'OCCUR?'
        WRITE(*,*) '1 = ONCE A YEAR'
        WRITE(*,*) '2 = TWICE A YEAR'
        WRITE(*,*) '3 = THREE TIMES A YEAR'
        WRITE(*,*) '4 = ONCE EVERY TWO YEARS'
        WRITE(*,*) '5 = ONCE EVERY THREE YEARS'
        WRITE(*,*) '6 = ONCE EVERY FOUR YEARS'
        WRITE(*,*)
        WRITE(*,*)
        READ(*,'(I2)',ERR=1162) Ap
        IF (Ap.GT.6.OR.Ap.LT.1) THEN
          WRITE(*,*) 'INTEGER BETWEEN 1 AND 6 PLEASE.'
          GOTO 1162
        END IF
        IF (Ap.EQ.1) THEN
          App=1.0
        ELSE IF (Ap.EQ.2) THEN
          App=2.0
        ELSE IF (Ap.EQ.3) THEN
          App=3.0
        ELSE IF (Ap.EQ.4) THEN
          App=0.5
        ELSE IF (Ap.EQ.5) THEN
          App=0.33
        ELSE
          App=0.25
        END IF
      ELSE IF (V.EQ.15) THEN
  888   WRITE(*,*) 'WHAT PERCENTAGE OF THE MAXIMUM APPLICATION RATE'
        WRITE(*,*) 'DO YOU WANT TO USE?'
        WRITE(*,*) ' '
        READ(*,'(I4)',ERR=888) PER
        IF (PER.LT.1.OR.PER.GT.200) THEN
          WRITE(*,*) 'YOU MUST USE A NUMBER FROM 1-200 REPRESENTING'
          WRITE(*,*) 'PERCENTAGES OF THE MAXIMUM APPLICATION RATE'
          WRITE(*,*) '(e.g. 20 REPRESENTS 20% OF THE MAXIMUM'
          WRITE(*,*) 'APPLICATION RATE)'
          WRITE(*,*) ' '
          GOTO 888
        END IF
        OPEN(67,FILE='APP.DAT',STATUS='UNKNOWN')
        WRITE(67,'(I4)') PER
        CLOSE(67)
      END IF

      GOTO 999

C     SECTION WRITE I: ISCST3 INPUT FILE

 1500 WRITE(*,*) ' '
      WRITE(*,*) 'THE INPUT PORTION OF THE PROGRAM IS NOW COMPLETE.'
      WRITE(*,*) 'THE PROGRAM WILL NOW CREATE THE NECESSARY FILES'
      WRITE(*,*) 'TO RUN FEMS.'
      WRITE(*,*) ' '

      DO M=1,5

        OPEN(3,FILE=BASE(M),STATUS='OLD')
        OPEN(4,FILE=YEAR(M),STATUS='UNKNOWN')

        DO Z=1,15
          READ(3,'(A75)') DUM
          WRITE(4,'(A75)') DUM
        END DO
        READ(3,'(A27)') DUM
        IXX=INT(-0.5*IX)
        IYY=INT(-0.5*IY)
        Zero=0
        WRITE(4,'(A27,3I6)') DUM,IXX,IYY,Zero
        READ(3,'(A37)') DUM
        WRITE(4,'(A37,4I6)') DUM, IX,IY,Zero,Zero
        DO Z=1,7
          READ(3,'(A75)') DUM
          WRITE(4,'(A75)') DUM
        END DO
        READ(3,'(A22)') DUM
        WRITE(4,'(A22,9I5)') DUM, (RING(J),J=1,9)
        READ(3,'(A22)') DUM
        WRITE(4,'(A22,I5)') DUM, RING(10)
        DO J=1,100
          READ(3,'(A75)',END=100) DUM
          WRITE(4,'(A75)') DUM
        END DO

  100   CLOSE (3)
        CLOSE (4)

      END DO

      WRITE(*,*) 'ISCST3 INPUT FILE COMPLETED.'
      WRITE(*,*) ' '

C     SECTION WRITE II:  TOXST INPUT FILE

      OPEN(15,FILE='RAND.INP',STATUS='UNKNOWN')
      IACRE=INT(IX*IY/4047)
      WRITE(15,'(A15,I4,A11)') 'RANDOM RUN FOR ',IACRE, ' ACRE FIELD'
      IF (N.EQ.1) THEN
        WRITE(15,'(I1,A1,I5,A2)') N, ',', Threshold(N), '.'
      ELSE IF (N.EQ.2) THEN
        WRITE(15,'(I1,A1,I5,A2,I5,A1)') N, ',', Threshold(N-1), '.,',
     x           Threshold(N), '.'
      ELSE IF (N.EQ.3) THEN
        WRITE(15,'(I1,A1,I5,A2,I5,A2,I5,A1)') N, ',', Threshold(N-2),
     x            '.,', Threshold(N-1), '.,', Threshold(N), '.'
      ELSE IF (N.EQ.4) THEN
        WRITE(15,'(I1,A1,I5,A2,I5,A2,I5,A2,I5,A1)') N, ',',
     x            Threshold(N-3), '.,', Threshold(N-2), '.,',
     x            Threshold(N-1), '.,', Threshold(N), '.'
      ELSE IF (N.EQ.5) THEN
        WRITE(15,'(I1,A1,I5,A2,I5,A2,I5,A2,I5,A2,I5,A1)') N,
     x               ',', Threshold(N-4), '.,', Threshold(N-3), '.,',
     x               Threshold(N-2), '.,', Threshold(N-1), '.,',
     x               Threshold(N), '.'
      ELSE IF (N.EQ.6) THEN
        WRITE(15,'(I1,A1,I5,A2,I5,A2,I5,A2,I5,A2,I5,A2,I5,A1)') N,
     x              ',', Threshold(N-5), '.,', Threshold(N-4), '.,',
     x              Threshold(N-3), '.,', Threshold(N-2), '.,',
     x              Threshold(N-1), '.,', Threshold(N), '.'
      END IF
      WRITE(15,'(A5)') '1, 1.'
      DO J=1,N
        WRITE(15,'(A10,I2)') 'THRESHOLD ', J
      END DO
      WRITE(15,'(A20)') Title
      WRITE(15,'(TL1,I3,A5,I2,A3)') INT(Sim/200), ', 1, ',Time,', 1'
      WRITE(15,'(A11)') '20, 0, 0, 0'
      WRITE(15,'(A33,2A53,A10)') '25, 1987, 1988, 1989, 1990, 1991,',
     x         '1987, 1988, 1989, 1990, 1991, 1987, 1988, 1989, 1990,',
     x         '1991, 1987, 1988, 1989, 1990, 1991, 1987, 1988, 1989,',
     x         '1990, 1991'
      WRITE(15,'(A10)') 'YEAR1A.LST'
      WRITE(15,'(A7)') 'SOURCE1'
      WRITE(15,'(A6,F9.7,A6)') '1, 1, ',Prob,', 1, 1'
      WRITE(15,'(A4)') '1.00'
      WRITE(15,'(TL1,I3)') Days*24
      WRITE(15,'(A4)') '1.00'
      WRITE(15,'(A4)') '1.00'
      CLOSE(15)

      WRITE(*,*) 'TOXST3 INPUT FILE COMPLETED.'
      WRITE(*,*) ' '

*     SECTION III WRITE:  DATA.DAT INPUT FILE

      OPEN (20,FILE='DATA.DAT',STATUS='UNKNOWN')
      WRITE(20,'(A36)') 'Data File for Use with Randomization'
      WRITE(20,'(A36)') 'Sensitivity Data and Indoor Air Data'
      WRITE(20,'(I4)') Em
      WRITE(20,'(I4)') Ws
      WRITE(20,'(I4)') Wd
      WRITE(20,'(I4)') Is
      WRITE(20,'(I4)') Indoor
      WRITE(20,'(F4.2)') Exceed
      DO F=1,10
        WRITE(20,'(I5)') RING(F)
      END DO
      WRITE(20,'(A75)') Title
      WRITE(20,'(I5)') IAcre
      WRITE(20,'(I5)') Time
      WRITE(20,'(I5)') N
      DO Z=1,N
        WRITE(20,'(I5)') Threshold(Z)
      END DO
      WRITE(20,'(I7)') Sim
      WRITE(20,'(I5)') IX
      WRITE(20,'(I5)') IY

      CLOSE (20)

      WRITE(*,*) 'DATA FILE CREATED WITH USER INPUTTED PARAMETERS.'
      WRITE(*,*) ' '
      WRITE(*,*) 'BATCH FILES WILL BE ADJUSTED TO USER INPUTTED VALUES.'
      WRITE(*,*) 'PRESS ENTER TO CONTINUE.'
      READ(*,'(A75)') DUM

10000 STOP
      END
